package ru.tsc.ichaplygina.taskmanager.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-04-04T16:49:00.332+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", name = "TaskEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface TaskEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskByIndexResponse")
    @RequestWrapper(localName = "removeTaskByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskByIndex")
    @ResponseWrapper(localName = "removeTaskByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskByIndexResponse")
    public void removeTaskByIndex(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskIndex", targetNamespace = "")
        int taskIndex
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/completeTaskByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/completeTaskByNameResponse")
    @RequestWrapper(localName = "completeTaskByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteTaskByName")
    @ResponseWrapper(localName = "completeTaskByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteTaskByNameResponse")
    public void completeTaskByName(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskName", targetNamespace = "")
        java.lang.String taskName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/createTaskRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/createTaskResponse")
    @RequestWrapper(localName = "createTask", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CreateTask")
    @ResponseWrapper(localName = "createTaskResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CreateTaskResponse")
    public void createTask(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskName", targetNamespace = "")
        java.lang.String taskName,
        @WebParam(name = "taskDescription", targetNamespace = "")
        java.lang.String taskDescription
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/findTaskByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/findTaskByNameResponse")
    @RequestWrapper(localName = "findTaskByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindTaskByName")
    @ResponseWrapper(localName = "findTaskByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindTaskByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.Task findTaskByName(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskName", targetNamespace = "")
        java.lang.String taskName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/getTaskListRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/getTaskListResponse")
    @RequestWrapper(localName = "getTaskList", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetTaskList")
    @ResponseWrapper(localName = "getTaskListResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetTaskListResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.tsc.ichaplygina.taskmanager.endpoint.Task> getTaskList(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "sortBy", targetNamespace = "")
        java.lang.String sortBy
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskByNameResponse")
    @RequestWrapper(localName = "removeTaskByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskByName")
    @ResponseWrapper(localName = "removeTaskByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskByNameResponse")
    public void removeTaskByName(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskName", targetNamespace = "")
        java.lang.String taskName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/completeTaskByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/completeTaskByIdResponse")
    @RequestWrapper(localName = "completeTaskById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteTaskById")
    @ResponseWrapper(localName = "completeTaskByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteTaskByIdResponse")
    public void completeTaskById(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskId", targetNamespace = "")
        java.lang.String taskId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/getTaskListByProjectRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/getTaskListByProjectResponse")
    @RequestWrapper(localName = "getTaskListByProject", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetTaskListByProject")
    @ResponseWrapper(localName = "getTaskListByProjectResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetTaskListByProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.tsc.ichaplygina.taskmanager.endpoint.Task> getTaskListByProject(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId,
        @WebParam(name = "sortBy", targetNamespace = "")
        java.lang.String sortBy
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskFromProjectRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskFromProjectResponse")
    @RequestWrapper(localName = "removeTaskFromProject", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskFromProject")
    @ResponseWrapper(localName = "removeTaskFromProjectResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskFromProjectResponse")
    public void removeTaskFromProject(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId,
        @WebParam(name = "taskId", targetNamespace = "")
        java.lang.String taskId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/startTaskByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/startTaskByIndexResponse")
    @RequestWrapper(localName = "startTaskByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartTaskByIndex")
    @ResponseWrapper(localName = "startTaskByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartTaskByIndexResponse")
    public void startTaskByIndex(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskIndex", targetNamespace = "")
        int taskIndex
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/findTaskByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/findTaskByIdResponse")
    @RequestWrapper(localName = "findTaskById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindTaskById")
    @ResponseWrapper(localName = "findTaskByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindTaskByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.Task findTaskById(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskId", targetNamespace = "")
        java.lang.String taskId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/clearTasksRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/clearTasksResponse")
    @RequestWrapper(localName = "clearTasks", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ClearTasks")
    @ResponseWrapper(localName = "clearTasksResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ClearTasksResponse")
    public void clearTasks(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/updateTaskByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/updateTaskByIdResponse")
    @RequestWrapper(localName = "updateTaskById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateTaskById")
    @ResponseWrapper(localName = "updateTaskByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateTaskByIdResponse")
    public void updateTaskById(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskId", targetNamespace = "")
        java.lang.String taskId,
        @WebParam(name = "taskName", targetNamespace = "")
        java.lang.String taskName,
        @WebParam(name = "taskDescription", targetNamespace = "")
        java.lang.String taskDescription
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/updateTaskByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/updateTaskByIndexResponse")
    @RequestWrapper(localName = "updateTaskByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateTaskByIndex")
    @ResponseWrapper(localName = "updateTaskByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateTaskByIndexResponse")
    public void updateTaskByIndex(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskIndex", targetNamespace = "")
        int taskIndex,
        @WebParam(name = "taskName", targetNamespace = "")
        java.lang.String taskName,
        @WebParam(name = "taskDescription", targetNamespace = "")
        java.lang.String taskDescription
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/addTaskToProjectRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/addTaskToProjectResponse")
    @RequestWrapper(localName = "addTaskToProject", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.AddTaskToProject")
    @ResponseWrapper(localName = "addTaskToProjectResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.AddTaskToProjectResponse")
    public void addTaskToProject(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId,
        @WebParam(name = "taskId", targetNamespace = "")
        java.lang.String taskId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/startTaskByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/startTaskByIdResponse")
    @RequestWrapper(localName = "startTaskById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartTaskById")
    @ResponseWrapper(localName = "startTaskByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartTaskByIdResponse")
    public void startTaskById(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskId", targetNamespace = "")
        java.lang.String taskId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/startTaskByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/startTaskByNameResponse")
    @RequestWrapper(localName = "startTaskByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartTaskByName")
    @ResponseWrapper(localName = "startTaskByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartTaskByNameResponse")
    public void startTaskByName(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskName", targetNamespace = "")
        java.lang.String taskName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/findTaskByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/findTaskByIndexResponse")
    @RequestWrapper(localName = "findTaskByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindTaskByIndex")
    @ResponseWrapper(localName = "findTaskByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindTaskByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.Task findTaskByIndex(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskIndex", targetNamespace = "")
        int taskIndex
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/removeTaskByIdResponse")
    @RequestWrapper(localName = "removeTaskById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskById")
    @ResponseWrapper(localName = "removeTaskByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveTaskByIdResponse")
    public void removeTaskById(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskId", targetNamespace = "")
        java.lang.String taskId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/completeTaskByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/TaskEndpoint/completeTaskByIndexResponse")
    @RequestWrapper(localName = "completeTaskByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteTaskByIndex")
    @ResponseWrapper(localName = "completeTaskByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteTaskByIndexResponse")
    public void completeTaskByIndex(
        @WebParam(name = "session", targetNamespace = "")
        ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
        @WebParam(name = "taskIndex", targetNamespace = "")
        int taskIndex
    );
}
